import { aO as $, aP as pe } from "./index2.js";
var B = { exports: {} };
B.exports;
(function(s, u) {
  var D = 200, S = "__lodash_hash_undefined__", p = 9007199254740991, g = "[object Arguments]", Ut = "[object Array]", Q = "[object Boolean]", k = "[object Date]", Kt = "[object Error]", F = "[object Function]", tt = "[object GeneratorFunction]", x = "[object Map]", rt = "[object Number]", H = "[object Object]", et = "[object Promise]", nt = "[object RegExp]", O = "[object Set]", at = "[object String]", ot = "[object Symbol]", L = "[object WeakMap]", it = "[object ArrayBuffer]", j = "[object DataView]", ct = "[object Float32Array]", st = "[object Float64Array]", ut = "[object Int8Array]", ft = "[object Int16Array]", lt = "[object Int32Array]", ht = "[object Uint8Array]", pt = "[object Uint8ClampedArray]", gt = "[object Uint16Array]", dt = "[object Uint32Array]", Nt = /[\\^$.*+?()[\]{}|]/g, Wt = /\w*$/, Vt = /^\[object .+?Constructor\]$/, qt = /^(?:0|[1-9]\d*)$/, a = {};
  a[g] = a[Ut] = a[it] = a[j] = a[Q] = a[k] = a[ct] = a[st] = a[ut] = a[ft] = a[lt] = a[x] = a[rt] = a[H] = a[nt] = a[O] = a[at] = a[ot] = a[ht] = a[pt] = a[gt] = a[dt] = !0, a[Kt] = a[F] = a[L] = !1;
  var zt = typeof $ == "object" && $ && $.Object === Object && $, Jt = typeof self == "object" && self && self.Object === Object && self, f = zt || Jt || Function("return this")(), _t = u && !u.nodeType && u, yt = _t && !0 && s && !s.nodeType && s, Xt = yt && yt.exports === _t;
  function Yt(t, r) {
    return t.set(r[0], r[1]), t;
  }
  function Zt(t, r) {
    return t.add(r), t;
  }
  function Qt(t, r) {
    for (var e = -1, n = t ? t.length : 0; ++e < n && r(t[e], e, t) !== !1; )
      ;
    return t;
  }
  function kt(t, r) {
    for (var e = -1, n = r.length, o = t.length; ++e < n; )
      t[o + e] = r[e];
    return t;
  }
  function bt(t, r, e, n) {
    for (var o = -1, i = t ? t.length : 0; ++o < i; )
      e = r(e, t[o], o, t);
    return e;
  }
  function tr(t, r) {
    for (var e = -1, n = Array(t); ++e < t; )
      n[e] = r(e);
    return n;
  }
  function rr(t, r) {
    return t == null ? void 0 : t[r];
  }
  function wt(t) {
    var r = !1;
    if (t != null && typeof t.toString != "function")
      try {
        r = !!(t + "");
      } catch (e) {
      }
    return r;
  }
  function vt(t) {
    var r = -1, e = Array(t.size);
    return t.forEach(function(n, o) {
      e[++r] = [o, n];
    }), e;
  }
  function U(t, r) {
    return function(e) {
      return t(r(e));
    };
  }
  function At(t) {
    var r = -1, e = Array(t.size);
    return t.forEach(function(n) {
      e[++r] = n;
    }), e;
  }
  var er = Array.prototype, nr = Function.prototype, E = Object.prototype, K = f["__core-js_shared__"], Tt = function() {
    var t = /[^.]+$/.exec(K && K.keys && K.keys.IE_PROTO || "");
    return t ? "Symbol(src)_1." + t : "";
  }(), St = nr.toString, d = E.hasOwnProperty, I = E.toString, ar = RegExp(
    "^" + St.call(d).replace(Nt, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  ), mt = Xt ? f.Buffer : void 0, Ct = f.Symbol, xt = f.Uint8Array, or = U(Object.getPrototypeOf, Object), ir = Object.create, cr = E.propertyIsEnumerable, sr = er.splice, Ot = Object.getOwnPropertySymbols, ur = mt ? mt.isBuffer : void 0, fr = U(Object.keys, Object), N = A(f, "DataView"), m = A(f, "Map"), W = A(f, "Promise"), V = A(f, "Set"), q = A(f, "WeakMap"), C = A(Object, "create"), lr = b(N), hr = b(m), pr = b(W), gr = b(V), dr = b(q), jt = Ct ? Ct.prototype : void 0, Et = jt ? jt.valueOf : void 0;
  function _(t) {
    var r = -1, e = t ? t.length : 0;
    for (this.clear(); ++r < e; ) {
      var n = t[r];
      this.set(n[0], n[1]);
    }
  }
  function _r() {
    this.__data__ = C ? C(null) : {};
  }
  function yr(t) {
    return this.has(t) && delete this.__data__[t];
  }
  function br(t) {
    var r = this.__data__;
    if (C) {
      var e = r[t];
      return e === S ? void 0 : e;
    }
    return d.call(r, t) ? r[t] : void 0;
  }
  function wr(t) {
    var r = this.__data__;
    return C ? r[t] !== void 0 : d.call(r, t);
  }
  function vr(t, r) {
    var e = this.__data__;
    return e[t] = C && r === void 0 ? S : r, this;
  }
  _.prototype.clear = _r, _.prototype.delete = yr, _.prototype.get = br, _.prototype.has = wr, _.prototype.set = vr;
  function l(t) {
    var r = -1, e = t ? t.length : 0;
    for (this.clear(); ++r < e; ) {
      var n = t[r];
      this.set(n[0], n[1]);
    }
  }
  function Ar() {
    this.__data__ = [];
  }
  function Tr(t) {
    var r = this.__data__, e = P(r, t);
    if (e < 0)
      return !1;
    var n = r.length - 1;
    return e == n ? r.pop() : sr.call(r, e, 1), !0;
  }
  function Sr(t) {
    var r = this.__data__, e = P(r, t);
    return e < 0 ? void 0 : r[e][1];
  }
  function mr(t) {
    return P(this.__data__, t) > -1;
  }
  function Cr(t, r) {
    var e = this.__data__, n = P(e, t);
    return n < 0 ? e.push([t, r]) : e[n][1] = r, this;
  }
  l.prototype.clear = Ar, l.prototype.delete = Tr, l.prototype.get = Sr, l.prototype.has = mr, l.prototype.set = Cr;
  function w(t) {
    var r = -1, e = t ? t.length : 0;
    for (this.clear(); ++r < e; ) {
      var n = t[r];
      this.set(n[0], n[1]);
    }
  }
  function xr() {
    this.__data__ = {
      hash: new _(),
      map: new (m || l)(),
      string: new _()
    };
  }
  function Or(t) {
    return M(this, t).delete(t);
  }
  function jr(t) {
    return M(this, t).get(t);
  }
  function Er(t) {
    return M(this, t).has(t);
  }
  function Ir(t, r) {
    return M(this, t).set(t, r), this;
  }
  w.prototype.clear = xr, w.prototype.delete = Or, w.prototype.get = jr, w.prototype.has = Er, w.prototype.set = Ir;
  function v(t) {
    this.__data__ = new l(t);
  }
  function Pr() {
    this.__data__ = new l();
  }
  function Mr(t) {
    return this.__data__.delete(t);
  }
  function Gr(t) {
    return this.__data__.get(t);
  }
  function Rr(t) {
    return this.__data__.has(t);
  }
  function $r(t, r) {
    var e = this.__data__;
    if (e instanceof l) {
      var n = e.__data__;
      if (!m || n.length < D - 1)
        return n.push([t, r]), this;
      e = this.__data__ = new w(n);
    }
    return e.set(t, r), this;
  }
  v.prototype.clear = Pr, v.prototype.delete = Mr, v.prototype.get = Gr, v.prototype.has = Rr, v.prototype.set = $r;
  function Br(t, r) {
    var e = X(t) || ie(t) ? tr(t.length, String) : [], n = e.length, o = !!n;
    for (var i in t)
      d.call(t, i) && !(o && (i == "length" || ee(i, n))) && e.push(i);
    return e;
  }
  function It(t, r, e) {
    var n = t[r];
    (!(d.call(t, r) && Rt(n, e)) || e === void 0 && !(r in t)) && (t[r] = e);
  }
  function P(t, r) {
    for (var e = t.length; e--; )
      if (Rt(t[e][0], r))
        return e;
    return -1;
  }
  function Dr(t, r) {
    return t && Pt(r, Y(r), t);
  }
  function z(t, r, e, n, o, i, h) {
    var c;
    if (n && (c = i ? n(t, o, i, h) : n(t)), c !== void 0)
      return c;
    if (!G(t))
      return t;
    var Dt = X(t);
    if (Dt) {
      if (c = kr(t), !r)
        return Yr(t, c);
    } else {
      var T = y(t), Ft = T == F || T == tt;
      if (se(t))
        return Nr(t, r);
      if (T == H || T == g || Ft && !i) {
        if (wt(t))
          return i ? t : {};
        if (c = te(Ft ? {} : t), !r)
          return Zr(t, Dr(c, t));
      } else {
        if (!a[T])
          return i ? t : {};
        c = re(t, T, z, r);
      }
    }
    h || (h = new v());
    var Ht = h.get(t);
    if (Ht)
      return Ht;
    if (h.set(t, c), !Dt)
      var Lt = e ? Qr(t) : Y(t);
    return Qt(Lt || t, function(Z, R) {
      Lt && (R = Z, Z = t[R]), It(c, R, z(Z, r, e, n, R, t, h));
    }), c;
  }
  function Fr(t) {
    return G(t) ? ir(t) : {};
  }
  function Hr(t, r, e) {
    var n = r(t);
    return X(t) ? n : kt(n, e(t));
  }
  function Lr(t) {
    return I.call(t);
  }
  function Ur(t) {
    if (!G(t) || ae(t))
      return !1;
    var r = Bt(t) || wt(t) ? ar : Vt;
    return r.test(b(t));
  }
  function Kr(t) {
    if (!Gt(t))
      return fr(t);
    var r = [];
    for (var e in Object(t))
      d.call(t, e) && e != "constructor" && r.push(e);
    return r;
  }
  function Nr(t, r) {
    if (r)
      return t.slice();
    var e = new t.constructor(t.length);
    return t.copy(e), e;
  }
  function J(t) {
    var r = new t.constructor(t.byteLength);
    return new xt(r).set(new xt(t)), r;
  }
  function Wr(t, r) {
    var e = r ? J(t.buffer) : t.buffer;
    return new t.constructor(e, t.byteOffset, t.byteLength);
  }
  function Vr(t, r, e) {
    var n = r ? e(vt(t), !0) : vt(t);
    return bt(n, Yt, new t.constructor());
  }
  function qr(t) {
    var r = new t.constructor(t.source, Wt.exec(t));
    return r.lastIndex = t.lastIndex, r;
  }
  function zr(t, r, e) {
    var n = r ? e(At(t), !0) : At(t);
    return bt(n, Zt, new t.constructor());
  }
  function Jr(t) {
    return Et ? Object(Et.call(t)) : {};
  }
  function Xr(t, r) {
    var e = r ? J(t.buffer) : t.buffer;
    return new t.constructor(e, t.byteOffset, t.length);
  }
  function Yr(t, r) {
    var e = -1, n = t.length;
    for (r || (r = Array(n)); ++e < n; )
      r[e] = t[e];
    return r;
  }
  function Pt(t, r, e, n) {
    e || (e = {});
    for (var o = -1, i = r.length; ++o < i; ) {
      var h = r[o], c = void 0;
      It(e, h, c === void 0 ? t[h] : c);
    }
    return e;
  }
  function Zr(t, r) {
    return Pt(t, Mt(t), r);
  }
  function Qr(t) {
    return Hr(t, Y, Mt);
  }
  function M(t, r) {
    var e = t.__data__;
    return ne(r) ? e[typeof r == "string" ? "string" : "hash"] : e.map;
  }
  function A(t, r) {
    var e = rr(t, r);
    return Ur(e) ? e : void 0;
  }
  var Mt = Ot ? U(Ot, Object) : le, y = Lr;
  (N && y(new N(new ArrayBuffer(1))) != j || m && y(new m()) != x || W && y(W.resolve()) != et || V && y(new V()) != O || q && y(new q()) != L) && (y = function(t) {
    var r = I.call(t), e = r == H ? t.constructor : void 0, n = e ? b(e) : void 0;
    if (n)
      switch (n) {
        case lr:
          return j;
        case hr:
          return x;
        case pr:
          return et;
        case gr:
          return O;
        case dr:
          return L;
      }
    return r;
  });
  function kr(t) {
    var r = t.length, e = t.constructor(r);
    return r && typeof t[0] == "string" && d.call(t, "index") && (e.index = t.index, e.input = t.input), e;
  }
  function te(t) {
    return typeof t.constructor == "function" && !Gt(t) ? Fr(or(t)) : {};
  }
  function re(t, r, e, n) {
    var o = t.constructor;
    switch (r) {
      case it:
        return J(t);
      case Q:
      case k:
        return new o(+t);
      case j:
        return Wr(t, n);
      case ct:
      case st:
      case ut:
      case ft:
      case lt:
      case ht:
      case pt:
      case gt:
      case dt:
        return Xr(t, n);
      case x:
        return Vr(t, n, e);
      case rt:
      case at:
        return new o(t);
      case nt:
        return qr(t);
      case O:
        return zr(t, n, e);
      case ot:
        return Jr(t);
    }
  }
  function ee(t, r) {
    return r = r == null ? p : r, !!r && (typeof t == "number" || qt.test(t)) && t > -1 && t % 1 == 0 && t < r;
  }
  function ne(t) {
    var r = typeof t;
    return r == "string" || r == "number" || r == "symbol" || r == "boolean" ? t !== "__proto__" : t === null;
  }
  function ae(t) {
    return !!Tt && Tt in t;
  }
  function Gt(t) {
    var r = t && t.constructor, e = typeof r == "function" && r.prototype || E;
    return t === e;
  }
  function b(t) {
    if (t != null) {
      try {
        return St.call(t);
      } catch (r) {
      }
      try {
        return t + "";
      } catch (r) {
      }
    }
    return "";
  }
  function oe(t) {
    return z(t, !0, !0);
  }
  function Rt(t, r) {
    return t === r || t !== t && r !== r;
  }
  function ie(t) {
    return ce(t) && d.call(t, "callee") && (!cr.call(t, "callee") || I.call(t) == g);
  }
  var X = Array.isArray;
  function $t(t) {
    return t != null && ue(t.length) && !Bt(t);
  }
  function ce(t) {
    return fe(t) && $t(t);
  }
  var se = ur || he;
  function Bt(t) {
    var r = G(t) ? I.call(t) : "";
    return r == F || r == tt;
  }
  function ue(t) {
    return typeof t == "number" && t > -1 && t % 1 == 0 && t <= p;
  }
  function G(t) {
    var r = typeof t;
    return !!t && (r == "object" || r == "function");
  }
  function fe(t) {
    return !!t && typeof t == "object";
  }
  function Y(t) {
    return $t(t) ? Br(t) : Kr(t);
  }
  function le() {
    return [];
  }
  function he() {
    return !1;
  }
  s.exports = oe;
})(B, B.exports);
var ge = B.exports;
const de = /* @__PURE__ */ pe(ge);
function ye(s) {
  if (!s) return null;
  s = de(s);
  let u = Array.isArray(s) ? s.concat() : [s];
  for (; u.length; ) {
    const D = u.length;
    for (let S = 0; S < D; S++) {
      const p = u.shift();
      !p.children || !p.children.length || (p.children.forEach((g) => {
        g.path[0] !== "/" && !g.path.startsWith("http") && (g.path = p.path.replace(/(\w*)[/]*$/, `$1/${g.path}`));
      }), u = u.concat(p.children));
    }
  }
  return s;
}
export {
  ye as c
};
